> ## Documentation Index
> Fetch the complete documentation index at: https://docs.simultaneous.live/llms.txt
> Use this file to discover all available pages before exploring further.

# Browserbase Sessions

> Create and manage Browserbase sessions via Simultaneous

Base path: `/v1/browserbase`

### POST /projects/:project\_id/sessions

Create a session.

Request

```json theme={null}
{
  "projectId": "proj_xxx",
  "name": "my-session",
  "script": "print('hello')",
  "env": {"FOO":"bar"},
  "region": "sfo",
  "timeoutSec": 600,
  "extensionId": null,
  "contextId": null,
  "agentId": null
}
```

Response

```json theme={null}
{
  "id": "<uuid>",
  "providerSessionId": "...",
  "providerProjectId": "proj_xxx",
  "status": "RUNNING",
  "connectUrl": "wss://...",
  "seleniumRemoteUrl": "https://...",
  "createdAt": "...",
  "userMetadata": {"script": "...", "env": {"FOO":"bar"}}
}
```

### GET /projects/:project\_id/sessions

List tracked sessions.

Query: `status`, `limit`, `offset`

### GET /projects/:project\_id/sessions/:session\_id

Get a tracked session and sync latest status/URLs from provider.

### GET /projects/:project\_id/sessions/:session\_id/logs

Get provider logs for a session. Optional `cursor` for pagination.

### GET /projects/:project\_id/sessions/dashboard/stats

Basic aggregate statistics for a project.
